## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       buku
Version:    4.8
Release:    %autorelease
Summary:    Powerful command-line bookmark manager

License:    GPL-3.0-or-later
URL:        https://github.com/jarun/Buku
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:     buku-fix-makefile.patch

BuildArch:  noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
Requires:       python3dist(beautifulsoup4)
Requires:       python3dist(certifi)
Requires:       python3dist(cryptography)
Requires:       python3dist(html5lib)
Requires:       python3dist(urllib3)

%description
Buku is a powerful bookmark manager written in Python3 and SQLite3.

Buku fetches the title of a bookmarked web page and stores it along
with any additional comments and tags. You can use your favourite editor
to compose and update bookmarks. With multiple search options, including regex
and a deep scan mode (particularly for URLs), it can find any bookmark
instantly. Multiple search results can be opened in the browser at once.

%prep
%autosetup -p1

%build
# generate html docs
PYTHONPATH=%{pyproject_build_lib} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%make_install PREFIX=%{_prefix}

install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  auto-completion/bash/buku-completion.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  auto-completion/fish/buku.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  auto-completion/zsh/_buku

%py3_shebang_fix %{buildroot}%{_bindir}

%files
%doc CHANGELOG README.md
%doc html
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/bash-completion/completions/buku-completion.bash
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/buku.fish
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_buku

%changelog
* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Mar 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 4.8-1
- Update to 4.8

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.7-2
- Use SPDX

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.7-1
- Update to 4.7 - Close: rhbz#2103227

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 17:12:14 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.5-1
- Update to 4.5
- Close: rhbz#1911494

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 14:47:38 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.4-1
- Update to 4.4

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 02 11:22:11 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 4.2.2-1
- Release 4.2.2

* Tue Apr 30 15:23:59 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 4.2-1
- Release 4.2

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 4.1-1
- Release 4.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 30 2018 Robert-André Mauchin <zebob.m@gmail.com> - 4.0-2
- Add missing Requires

* Thu Nov 01 2018 Robert-André Mauchin <zebob.m@gmail.com> - 4.0-1
- Release 4.0

* Thu Aug 30 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.9-1
- Release 3.9

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.8-1
- Release 3.8

* Wed Mar 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.7-1
- Release 3.7

* Sat Feb 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.6-1
- First RPM release

